Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class ProtobufProcessMarshaller

    java.lang.Object
      org.jbpm.marshalling.impl.ProtobufProcessMarshaller

All Implemented Interfaces:
  org.drools.marshalling.impl.ProcessMarshaller

    public class ProtobufProcessMarshaller

extends Object
implements org.drools.marshalling.impl.ProcessMarshaller

Constructor Summary
`ProtobufProcessMarshaller()`

Method Summary
`void` | `init(org.drools.marshalling.impl.MarshallerReaderContext context)`
`static JBPMMessages.Variable` | `marshallVariable(org.drools.marshalling.impl.MarshallerWriteContext context, String name, Object value)`
`static JBPMMessages.Variable` | `marshallVariablesMap(org.drools.marshalling.impl.MarshallerWriteContext context, Map<String,Object> variables)`
`List<ProcessInstance>` | `readProcessInstances(org.drools.marshalling.impl.MarshallerReaderContext context)`
`void` | `readProcessTimers(org.drools.marshalling.impl.MarshallerReaderContext inCtx)`
`static TimerInstance` | `readTimer(org.drools.marshalling.impl.MarshallerReaderContext context, JBPMMessages.ProcessTimer.TimerInstance _timer)`
`static WorkItem` | `readWorkItem(org.drools.marshalling.impl.MarshallerReaderContext context, JBPMMessages.WorkItem _workItem)`
`static WorkItem` | `readWorkItem(org.drools.marshalling.impl.MarshallerReaderContext context, JBPMMessages.WorkItem _workItem, boolean includeVariables)`
`void` | `readWorkItems(org.drools.marshalling.impl.MarshallerReaderContext context)`
`static Object` | `unmarshallVariableValue(org.drools.marshalling.impl.MarshallerReaderContext context, JBPMMessages.Variable _variable)`
`void` | `writeProcessInstances(org.drools.marshalling.impl.MarshallerWriteContext context)`
`void` | `writeProcessTimers(org.drools.marshalling.impl.MarshallerWriteContext outCtx)`
`static JBPMMessages.ProcessTimer.TimerInstance` | `writeTimer(org.drools.marshalling.impl.MarshallerWriteContext context, TimerInstance timer)`
`static JBPMMessages.WorkItem` | `writeWorkItem(org.drools.marshalling.impl.MarshallerWriteContext context, WorkItem workItem)`
`static JBPMMessages.WorkItem` | `writeWorkItem(org.drools.marshalling.impl.MarshallerWriteContext context, WorkItem workItem, boolean includeVariables)`
`void` | `writeWorkItems(org.drools.marshalling.impl.MarshallerWriteContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtobufProcessMarshaller

    public ProtobufProcessMarshaller()

Method Detail

### writeProcessInstances

    public void writeProcessInstances(org.drools.marshalling.impl.MarshallerWriteContext context)
                               throws IOException

  Specified by:
    `writeProcessInstances` in interface `org.drools.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### writeProcessTimers

    public void writeProcessTimers(org.drools.marshalling.impl.MarshallerWriteContext outCtx)
                            throws IOException

  Specified by:
    `writeProcessTimers` in interface `org.drools.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### writeWorkItems

    public void writeWorkItems(org.drools.marshalling.impl.MarshallerWriteContext context)
                        throws IOException

  Specified by:
    `writeWorkItems` in interface `org.drools.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### writeWorkItem

    public static JBPMMessages.WorkItem writeWorkItem(org.drools.marshalling.impl.MarshallerWriteContext context,
                                                      WorkItem workItem)
                                               throws IOException

  Throws:
    `IOException`

### readProcessInstances

    public List<ProcessInstance> readProcessInstances(org.drools.marshalling.impl.MarshallerReaderContext context)
                                               throws IOException

  Specified by:
    `readProcessInstances` in interface `org.drools.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### readWorkItems

    public void readWorkItems(org.drools.marshalling.impl.MarshallerReaderContext context)
                       throws IOException

  Specified by:
    `readWorkItems` in interface `org.drools.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### readProcessTimers

    public void readProcessTimers(org.drools.marshalling.impl.MarshallerReaderContext inCtx)
                           throws IOException,
                                  ClassNotFoundException

  Specified by:
    `readProcessTimers` in interface `org.drools.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeTimer

    public static JBPMMessages.ProcessTimer.TimerInstance writeTimer(org.drools.marshalling.impl.MarshallerWriteContext context,
                                                                     TimerInstance timer)

### readTimer

    public static TimerInstance readTimer(org.drools.marshalling.impl.MarshallerReaderContext context,
                                          JBPMMessages.ProcessTimer.TimerInstance _timer)

### writeWorkItem

    public static JBPMMessages.WorkItem writeWorkItem(org.drools.marshalling.impl.MarshallerWriteContext context,
                                                      WorkItem workItem,
                                                      boolean includeVariables)
                                               throws IOException

  Throws:
    `IOException`

### readWorkItem

    public static WorkItem readWorkItem(org.drools.marshalling.impl.MarshallerReaderContext context,
                                        JBPMMessages.WorkItem _workItem)
                                 throws IOException

  Throws:
    `IOException`

### readWorkItem

    public static WorkItem readWorkItem(org.drools.marshalling.impl.MarshallerReaderContext context,
                                        JBPMMessages.WorkItem _workItem,
                                        boolean includeVariables)
                                 throws IOException

  Throws:
    `IOException`

### marshallVariable

    public static JBPMMessages.Variable marshallVariable(org.drools.marshalling.impl.MarshallerWriteContext context,
                                                         String name,
                                                         Object value)
                                                  throws IOException

  Throws:
    `IOException`

### marshallVariablesMap

    public static JBPMMessages.Variable marshallVariablesMap(org.drools.marshalling.impl.MarshallerWriteContext context,
                                                             Map<String,Object> variables)
                                                      throws IOException

  Throws:
    `IOException`

### unmarshallVariableValue

    public static Object unmarshallVariableValue(org.drools.marshalling.impl.MarshallerReaderContext context,
                                                 JBPMMessages.Variable _variable)
                                          throws IOException,
                                                 ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### init

    public void init(org.drools.marshalling.impl.MarshallerReaderContext context)

  Specified by:
    `init` in interface `org.drools.marshalling.impl.ProcessMarshaller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.